Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartEntityReference

    java.lang.Object
      |
      +--com.beasys.commerce.util.PersistenceHelper.DefaultSmartEntityReference

public static class PersistenceHelper.DefaultSmartEntityReference
extends java.lang.Object
implements SmartEntityReference, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `PersistenceHelper.DefaultSmartEntityReference()`
`protected` | `PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)`

Method Summary
`int` | `compareTo(javax.ejb.EJBObject that)`
`int` | `compareTo(SmartEntityReference that)` compare two PK's
`javax.ejb.EJBObject` | `getEJBObject()`
`java.lang.String` | `getJNDIName()`
`void` | `setEJBObject(javax.ejb.EJBObject ejbObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference()

### PersistenceHelper.DefaultSmartEntityReference

    protected PersistenceHelper.DefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)

Method Detail

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject ejbObject)

  Specified by:
    setEJBObject in interface SmartEntityReference

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

  Specified by:
    getEJBObject in interface SmartEntityReference

### getJNDIName

    public java.lang.String getJNDIName()

  Specified by:
    getJNDIName in interface SmartEntityReference

### compareTo

    public int compareTo(javax.ejb.EJBObject that)

  Specified by:
    compareTo in interface SmartEntityReference

### compareTo

    public int compareTo(SmartEntityReference that)

  compare two PK's
  Specified by:
    compareTo in interface SmartEntityReference

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved